Exiv2: Exiv2::LangAltValue Class Reference

# Exiv2::LangAltValue Class Reference

Value type for XMP language alternative properties. More...

`#include <value.hpp>`

Inheritance diagram for Exiv2::LangAltValue:
[legend]
Collaboration diagram for Exiv2::LangAltValue:
[legend]

List of all members.

## Public Types
typedef std::auto_ptr < LangAltValue > | AutoPtr
| Shortcut for a LangAltValue auto pointer.
typedef std::map< std::string, std::string > | ValueType
| Type used to store language alternative arrays.
## Public Member Functions
Creators
| LangAltValue ()
| Constructor.
| LangAltValue (const std::string &buf)
| Constructor, reads the value from a string.
Manipulators
virtual int | read (const std::string &buf)
| Read a simple property value from buf and append it to the value.
Accessors
AutoPtr | clone () const
| Return an auto-pointer to a copy of itself (deep copy). The caller owns this copy and the auto-pointer ensures that it will be deleted.
virtual long | count () const
| Return the number of components of the value.
virtual std::string | toString (long n) const
| Return the n-th component of the value as a string. The behaviour of this method may be undefined if there is no n-th component.
virtual long | toLong (long n=0) const
| Convert the n-th component of the value to a long. The behaviour of this method may be undefined if there is no n-th component.
virtual float | toFloat (long n=0) const
| Convert the n-th component of the value to a float. The behaviour of this method may be undefined if there is no n-th component.
virtual Rational | toRational (long n=0) const
| Convert the n-th component of the value to a Rational. The behaviour of this method may be undefined if there is no n-th component.
virtual std::ostream & | write (std::ostream &os) const
| Write all elements of the value to os, separated by commas.
## Public Attributes
ValueType | value_
| Map to store the language alternative values. The language qualifier is used as the key for the map entries.

## Detailed Description

Value type for XMP language alternative properties.

A language alternative is an array consisting of simple text values, each of which has a language qualifier.

## Member Function Documentation

virtual int Exiv2::LangAltValue::read | ( | const std::string & | buf | ) | `[virtual]`

Read a simple property value from buf and append it to the value.

Appends buf to the value after the last existing array element. Subsequent calls will therefore populate multiple array elements in the order they are read.

The format of buf is:
`[lang=["]language code["] ]text`
The XMP default language code `x-default` is used if buf doesn't start with the keyword `lang`.

Returns:
  0 if successful.

Implements Exiv2::XmpValue.

virtual long Exiv2::LangAltValue::toLong | ( | long | n = `0` | ) | const`[virtual]`

Convert the n-th component of the value to a long. The behaviour of this method may be undefined if there is no n-th component.

Returns:
  The converted value.

Implements Exiv2::Value.

virtual float Exiv2::LangAltValue::toFloat | ( | long | n = `0` | ) | const`[virtual]`

Convert the n-th component of the value to a float. The behaviour of this method may be undefined if there is no n-th component.

Returns:
  The converted value.

Implements Exiv2::Value.

virtual Rational Exiv2::LangAltValue::toRational | ( | long | n = `0` | ) | const`[virtual]`

Convert the n-th component of the value to a Rational. The behaviour of this method may be undefined if there is no n-th component.

Returns:
  The converted value.

Implements Exiv2::Value.

virtual std::ostream& Exiv2::LangAltValue::write | ( | std::ostream & | os | ) | const`[virtual]`

Write all elements of the value to os, separated by commas.

Note:
  The output of this method cannot directly be used as the parameter for read().

Implements Exiv2::Value.

The documentation for this class was generated from the following file:

- value.hpp